import { Controller, Get, Inject, Post } from '@nestjs/common';
import { ClientProxy } from '@nestjs/microservices';
import { firstValueFrom } from 'rxjs';

@Controller('user')
export class UserController {
  constructor(@Inject('Client') private readonly client: ClientProxy) {}

  @Get('find/annotator')
  async findAnnotator() {
    const { data } = await firstValueFrom(
      this.client.send({ cmd: 'cert.user.find.annotator' }, {}),
    );
    return { data, code: 0 };
  }

  @Post("assign")
  async assign(){
    const { data } = await firstValueFrom(
      this.client.send({ cmd: 'dicom.user.find.annotator' }, {}),
    );
    return { data, code: 0 };
  }
}
